curl --request POST \
--url https://api.extole.io/v5/persons/{person_id}/forward \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"forward_to_profile_id": "forward_to_profile_id"
}
'import requests
url = "https://api.extole.io/v5/persons/{person_id}/forward"
payload = { "forward_to_profile_id": "forward_to_profile_id" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({forward_to_profile_id: 'forward_to_profile_id'})
};
fetch('https://api.extole.io/v5/persons/{person_id}/forward', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"identity_id": "<string>",
"identity_key": {
"name": "<string>"
},
"identity_key_value": "<string>",
"locale": {
"last_browser": "<string>",
"user_specified": "<string>"
},
"version": "<string>"
}Forward an identity profile to another identity profile
Merges the specified identity profile into the target identity profile. All activity associated with the source identity profile, is forwarded to the target identity profile. After the operation the source profile is no longer independently addressable; lookups by any of its identifiers resolve to the target. Used to consolidate duplicate profiles.
Authorizations
Path Parameters
Source identity profile Extole unique identifier.
Body
Person forward request.
Target identity profile Extole unique identifier.
Response
Successful response
Person profile returned by the Extole platform.
Extole-assigned unique identifier for this person.
Identifier within the identity store that represents this person's merged profile.
Name of the identity key this client uses to identify persons, for example email or phone.
Show child attributes
Show child attributes
Value of the identity key for this person.
Show child attributes
Show child attributes
Optimistic-concurrency version token for the person record.
